Click or drag to resize

BrepEdgeListAdd Method (Int32, Int32, Int32, Interval, Double)

Create and add a new edge to this list

Namespace:  Rhino.Geometry.Collections
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public BrepEdge Add(
	int startVertexIndex,
	int endVertexIndex,
	int curve3dIndex,
	Interval subDomain,
	double edgeTolerance
)

Parameters

startVertexIndex
Type: SystemInt32

[Missing <param name="startVertexIndex"/> documentation for "M:Rhino.Geometry.Collections.BrepEdgeList.Add(System.Int32,System.Int32,System.Int32,Rhino.Geometry.Interval,System.Double)"]

endVertexIndex
Type: SystemInt32

[Missing <param name="endVertexIndex"/> documentation for "M:Rhino.Geometry.Collections.BrepEdgeList.Add(System.Int32,System.Int32,System.Int32,Rhino.Geometry.Interval,System.Double)"]

curve3dIndex
Type: SystemInt32

[Missing <param name="curve3dIndex"/> documentation for "M:Rhino.Geometry.Collections.BrepEdgeList.Add(System.Int32,System.Int32,System.Int32,Rhino.Geometry.Interval,System.Double)"]

subDomain
Type: Rhino.GeometryInterval

[Missing <param name="subDomain"/> documentation for "M:Rhino.Geometry.Collections.BrepEdgeList.Add(System.Int32,System.Int32,System.Int32,Rhino.Geometry.Interval,System.Double)"]

edgeTolerance
Type: SystemDouble

[Missing <param name="edgeTolerance"/> documentation for "M:Rhino.Geometry.Collections.BrepEdgeList.Add(System.Int32,System.Int32,System.Int32,Rhino.Geometry.Interval,System.Double)"]

Return Value

Type: BrepEdge

[Missing <returns> documentation for "M:Rhino.Geometry.Collections.BrepEdgeList.Add(System.Int32,System.Int32,System.Int32,Rhino.Geometry.Interval,System.Double)"]

Version Information

Rhino for Mac

Supported in: 5.4

Rhino for Windows

Supported in: 6.5
See Also